﻿///////////////////////////////////////////////////////////////////////////////
// file enums.js
// Copyright (c) 2012 Frédéric J. Rézeau. All rights reserved.
///////////////////////////////////////////////////////////////////////////////

(function (namespace, undefined) {
    "use strict";

    // Assets resolution.
    namespace.AssetResolutionEnum = { "HiRes": 0, "LoRes": 1, "VLoRes": 2, "VVLoRes": 3 };

    // Game state enumeration.
    namespace.GameStateEnum = { "GameLogo": 1, "GameIntro": 2, "GameMenu": 3, "GameLoading": 4, "GameRun": 5, "GameLost": 6, "GameWon": 7, "GamePreLoading": 11 };

    // Direction enumeration.
    namespace.DirectionEnum = { "None": 0, "Right": 1, "Left": 2 };

    // Entity state enumeration.
    namespace.EntityStateEnum = { "Idle": 0, "Walking": 1 };

    // Entity class type enumeration.
    namespace.EntityClassTypeEnum = { "None": 0, "Zombie": 1, "HumanMale": 2, "HumanFemale": 3 };

    // Entity sub class type enumeration.
    namespace.EntitySubClassTypeEnum = { "None": 0, "WeakZombie": 1, "ArmorZombie": 2, "HeavyArmorZombie": 3, "FastZombie": 4, "VeryFastZombie": 5, "BomberZombie": 6, "SpikedZombie": 7, "KillerZombie": 8 };

    // Effect type enumeration.
    namespace.EffectTypeEnum = { "None": 0, "Bullet": 1, "HeadLimb": 2, "BodyLimb1": 3, "BodyLimb2": 4, "BloodSplatter": 5, "SmallSmoke": 6, "BigSmoke": 7, "Explosion": 8, "Impact": 9, "Warhead": 10, "GunFire": 11, "CartridgeCase": 12, "GainSP": 13, "GainMoreSP": 14, "MultiBullet": 15, "Critical": 16, "Checkpoint": 17, "HighScore": 18 };

    // Head style enumeration.
    namespace.HeadStyleEnum = { "None": 0, "Punk": 1, "Bandaged": 2, "Police": 3, "Bandit": 4, "Tourist": 5, "Mexican": 6 };

    // Stack object type enumeration.
    namespace.StackObjectTypeEnum = { "None": 0, "WoodCrate": 1, "MetalCrate": 2, "SpikeCrate": 3, "TNTCrate": 4, "MountedCrate": 5, "RepairCrate": 6, "DoubleWoodCrate": 7, "DoubleMetalCrate": 8, "Challenge1" : 9, "Challenge2" : 10, "CriticalChance" : 11 };

    // Level status enumeration.
    namespace.LevelStatusEnum = { "None": 0, "Passed": 1, "Available": 2, "Locked": 3 };

    // Weapon type enumeration.
    namespace.WeaponTypeEnum = { "None": 0, "Rifle": 1, "ShotGun": 2, "AutoRifle": 3, "AutoShotGun": 4, "Uzi": 5, "Rpg": 6 };

    // Weapon category enumeration.
    namespace.WeaponCategoryEnum = { "Primary": 0, "Secondary": 1 };

    // Level stage enumeration.
    namespace.LevelStageEnum = { "None": 0, "TutorialStart": 1, "TutorialZombiesComing": 2, "TutorialHitBuildButton": 3, "TutorialHitCrateButton": 4, "TutorialBuildingFirstCrate": 5, "TutorialTapToContinue": 6, "TutorialFirstWave": 7, "TutorialFirstKill": 8, "TutorialFirstWaveFinishJob": 9, "TutorialFirstWaveDone": 10, "TutorialReinforceDefenses": 11, "TutorialMoreZombiesComing": 12, "TutorialTurnRight": 13, "TutorialSecondWave": 14, "TutorialSecondWaveDone": 15, "TutorialHelpingHand": 16, "TutorialTeamCamera": 17, "TutorialTeamWork": 18, "TutorialTeamDefenses": 19, "TutorialThirdWave": 20, "TutorialSelectSurvivalRage": 21 };

    // Level tips enumeration.
    namespace.LevelTipEnum = { "None": 0, "TipOne": 1, "TipTwo": 2, "TipThree": 3, "TipFour": 4, "TipFive": 5 };

    // Menu type enum.
    namespace.MenuTypeEnum = { "None": 0, "ShowMain": 1, "ShowStoryMode": 2, "ShowSurvivalMode": 3, "ShowOptions": 4, "SelectLevel": 5, "SelectNextPage": 6, "SelectPrevPage": 7, "ShowCredits": 8, "ToggleSound": 9, "Panel": 10 };

    // Command enumeration.
    namespace.CommandEnum = { "None": 0, "Menu": 1, "Pause": 2, "Restart": 3, "ZoomIn": 4, "ZoomOut": 5, "AssignWeapon": 6, "ShowStackObjects": 7, "SelectStackObject": 8, "Ready": 9, "ToggleAdrenaline": 10, "CancelAction": 11, "NextLevel": 12, "ConfirmYes": 13, "ConfirmNo": 14, "CrateSelectionDone": 15, "RewardAccepted": 16, "BuyGame": 17 };

})(window.ZCJGame = window.ZCJGame || {});
